#pragma once

#include "CoreMinimal.h"
#include "EventDrivenModifierCondition.h"
#include "EHookDrainStage.h"
#include "SurvivorIsAtHookStage.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class USurvivorIsAtHookStage : public UEventDrivenModifierCondition
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EHookDrainStage _hookStage;

public:
	USurvivorIsAtHookStage();
};

FORCEINLINE uint32 GetTypeHash(const USurvivorIsAtHookStage) { return 0; }
